/* -----------------------------------
Template:  junction - event meeting conference business template
Author: RoyHridoy
Version: 1.0
Design and Developed by: Hridoy Roy

NOTE: This is main js file. All js plugin active & custom js included in this file.

--------------------------------------*/

/*================================================
[  Table of contents  ]
==================================================
01. Top Menu Stick
02. Url Active Class
03. jQuery MeanMenu
04. SmoothSroll
05. Scrollspy
06. countdown
07. venobox
08. wow js
09. speakers
10. clients
11. blog-slider
12. stellar
13. CounterUp
14. ScrollUp
15. Contact form
16. Gradient
17. Preloader

======================================
[ End table content ]
======================================*/

(function ($) {
    "use strict";

/*******************
01. Top Menu Stick
********************/
    var sticky_menu = $('#sticker, #sticker-mobile');
    var pos = sticky_menu.position();
    if (sticky_menu.length) {
        var windowpos = sticky_menu.offset().top;
        $(window).on('scroll', function() {
            var windowpos = $(window).scrollTop();
            if (windowpos > pos.top) {
                sticky_menu.addClass('stick');
            } else {
                sticky_menu.removeClass('stick');
            }
        });
    }

/*******************
02. Url Active Class
********************/
    $(function() {
        var pgurl = window.location.href.substr(window.location.href
                                                .lastIndexOf("/")+1);
        $(".mainmenu a").each(function(){
            if($(this).attr("href") === pgurl || $(this).attr("href") === '' )
                $(this).addClass("active");
        })
    });

    /*********** li active class ***********/
    var cururl = window.location.pathname;
    var curpage = cururl.substr(cururl.lastIndexOf('/') + 1);
    var hash = window.location.hash.substr(1);
    if((curpage === "" || curpage === "/" || curpage === "admin") && hash==="")
    {
        //$("mainmenu ul > li:first-child").addClass("active");
    }
    else
    {
        $(".mainmenu li").each(function()
                               {
            $(this).removeClass("active");
        });
        if(hash != "")
            $(".mainmenu li a[href*='"+hash+"']").parents("li").addClass("active");
        else
            $(".mainmenu li a[href*='"+curpage+"']").parents("li").addClass("active");
    }

/*******************
03. jQuery MeanMenu
********************/
    $('.mobile-menu nav').meanmenu({
        meanScreenWidth: "768",
        meanMenuContainer: ".mobile-menu"
    });

/*******************
04. SmoothSroll
********************/
    $('.smooth, .smooth-scroll a').on('click', function (event) {
        var $anchor =$(this);
        var headerH ='69';
        $('html, body').stop().animate({
            'scrollTop': $($anchor.attr('href')).offset().top - headerH + "px"
        }, 1200, 'easeInOutExpo');
        event.preventDefault();
    });

/*******************
05. Scrollspy
********************/
    $('body').scrollspy({ target: '.navbar-collapse',offset: 95 })

/*******************
06. countdown
********************/
    $('[data-countdown]').each(function() {
        var $this = $(this), finalDate = $(this).data('countdown');
        $this.countdown(finalDate, function(event) {
            $this.html(event.strftime('<span class="cdown days"><span class="time-count">%-D</span> <p>Días</p></span> <span class="cdown hour"><span class="time-count">%-H</span> <p>Horas</p></span> <span class="cdown minutes"><span class="time-count">%M</span> <p>Mins</p></span> <span class="cdown second"> <span><span class="time-count">%S</span> <p>Seg</p></span>'));
        });
    });

/*******************
07. venobox
********************/
    $('.venobox').venobox();

/********************
08. wow js
********************/
    new WOW().init();

/********************
09. speakers
********************/
    $('.speakers').owlCarousel({
        loop:true,
        margin:15,
        nav:false,
        dots:false,
        autoplay: true,
        autoplayHoverPause: true,
        responsive:{
            0:{
                items:1
            },
            480:{
                items:2
            },
            767:{
                items:3
            },
            1000:{
                items:4
            }
        }
    });

/********************
10. clients
********************/
    $('.clients').owlCarousel({
        loop:true,
        margin:10,
        nav:false,
        dots:false,
        autoplay: true,
        autoplayHoverPause: true,
        responsive:{
            0:{
                items:1
            },
            480:{
                items:2
            },
            600:{
                items:3
            },
            1000:{
                items:5
            }
        }
    });

/********************
11. blog-slider
********************/
    $('.blog-slider').owlCarousel({
        loop:true,
        margin:10,
        nav:false,
        dots:false,
        autoplay: true,
        autoplayHoverPause: true,
        responsive:{
            0:{
                items:1
            },
            480:{
                items:1
            },
            600:{
                items:2
            },
            1000:{
                items:3
            }
        }
    })

/********************
12. stellar
********************/
    $.stellar({
        horizontalScrolling: false,
        verticalOffset: 40
    });

/********************
13. CounterUp
********************/
    $('.counter').counterUp({
        delay: 20,
        time: 2000
    });

/********************
14. ScrollUp
********************/
    $.scrollUp({
        scrollText: '<i class="fa fa-angle-double-up"></i>',
        easingType: 'linear',
        scrollSpeed: 900,
        animation: 'fade'
    });

/********************
15. Contact form
********************/
    $('.contact-form-btn button, .open-contact').on('click', function(){
        $('.contact-overlay').slideDown(500);
    });
    $('.contact-overlay .close-form').on('click', function(){
        $('.contact-overlay').slideUp(500);
    });

/********************
16. Gradient
********************/
    $('.gradient').gradientify({
        gradients: [
            { start: [49,76,172], stop: [242,159,191] },
            { start: [255,103,69], stop: [240,154,241] },
            { start: [33,229,241], stop: [235,236,117] }
        ]
    });

/********************
17. Preloader
********************/
    $(window).on('load', function() {
        $('#preloader').delay(350).fadeOut('slow');
        $('body').delay(350).css({'overflow':'visible'});
    });

})(jQuery);
